<layout-profile-info-card [isLoading]="isLoading$ | async">
  <div
    class="info"
    *ngIf="merchantGroupProfileInfo$ | async as merchantGroupProfileInfo"
  >
    <div class="info__data">
      <p class="name">{{ merchantGroupProfileInfo?.name }}</p>
      <p class="description">{{ merchantGroupProfileInfo?.description }}</p>
    </div>
    <div class="info__options">
      <div class="dates-container">
        <p class="date">
          <b>{{
            "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.INFO.CREATED_AT"
              | translate
          }}</b>
          {{ merchantGroupProfileInfo?.created_at | MODate }}
        </p>
        <p class="date">
          <b>{{
            "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.INFO.UPDATED_AT"
              | translate
          }}</b>
          {{ merchantGroupProfileInfo?.updated_at | MODate }}
        </p>
      </div>
      <div class="delete-group" (click)="onDeleteMerchantGroup()">
        <layout-icon icon="uil-trash-alt"></layout-icon>
        <p class="delete-text">
          {{
            "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.INFO.DELETE_GROUP"
              | translate
          }}
        </p>
      </div>
    </div>
  </div>
</layout-profile-info-card>
<layout-modal>
  <merchant-group-profile-delete-group-modal></merchant-group-profile-delete-group-modal>
</layout-modal>
